## sugar-poll-activity 26+git20100521.d4def0b6

=== debian/changelog ===
sugar-poll-activity (26+git20100521.d4def0b6-1) unstable; urgency=low

  [ Kandarp Kaushik ]
  * Initial release. (Closes: #588462)  

  [ Luke Faraone ]
  * Refactor copyright
  * Add self to uploaders 

 -- Luke Faraone <lfaraone@debian.org>  Tue, 10 Aug 2010 10:50:59 -0400
