=== debian/control ===
Source: sugar-poll-activity
Section: x11
Priority: optional
Maintainer: Debian OLPC <debian-olpc-devel@lists.alioth.debian.org>
Uploaders: Kandarp Kaushik <kandarp@seeta.in>,
 Luke Faraone <lfaraone@debian.org>
Build-Depends: devscripts (>= 2.10.7~),
 cdbs (>= 0.4.67~),
 dh-buildinfo,
 python-central,
 debhelper (>= 6),
 cdbs (>= 0.4.67~),
 python,
 python-sugar-0.88 | python-sugar,
 python-sugar-toolkit-0.88 | python-sugar-toolkit,
 unzip
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/collab-maint/sugar-poll-activity.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/sugar-poll-activity.git;a=summary
Homepage: http://wiki.laptop.org/go/Poll_Builder
XS-Python-Version: all

Package: sugar-poll-activity
Architecture: all
Depends: ${shlibs:Depends}, ${python:Depends}, python-abiword, ${cdbs:Depends}, ${misc:Depends}
Recommends: sugar
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Sugar activity to create a poll, collect votes and analyze community opinions
 Sugar is a graphical user interface aimed at children.
 .
 Originating as integral part of the OLPC "XO" a.k.a. the $100 laptop,
 Sugar has since grown into a more widely usable low-resource desktop
 environment for kids.
 .
 This package contains the Poll activity.
 .
 A poll is a research tool that helps explain what a group of people 
 think about a topic. Poll Builder allows you to create your own poll, 
 collect votes, examine the results and think about what they mean. 
 Users can write original opinion poll questions and answer choices, 
 then invite friends to vote in their poll via the mesh. This is a 
 WorldWideWorkshop project.
